package com.zanxiang.game.module.manage.service;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2025-01-15
 * @description :
 */
public interface IIpDataAssayService {

    /**
     * 根据主键id处理用户数据
     *
     * @param ids : 主键id
     */
    void userHandleByIds(String ids);

    /**
     * 用户表处理
     */
    void userHandle(long supperGameId);

    /**
     * 根据id主键处理登录日志
     *
     * @param ids : 主键id
     */
    void userLoginLogHandleByIds(String ids);

    /**
     * 登录日志处理
     */
    void userLoginLogHandle();

    /**
     * 队列IP数据处理
     *
     * @param msgList : 消息列表
     */
    void ipDataHandle(List<String> msgList);
}
